import { registerExtension } from 'vscode/extensions';

var manifest = {name:"html-language-features",displayName:"HTML Language Features",description:"Provides rich language support for HTML and Handlebar files",version:"1.0.0",publisher:"vscode",license:"MIT",aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",engines:{vscode:"^1.77.0"},icon:"icons/html.png",activationEvents:["onLanguage:html","onLanguage:handlebars"],enabledApiProposals:["extensionsAny"],main:undefined,browser:"./client/dist/browser/htmlClientMain",capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},scripts:{compile:"npx gulp compile-extension:html-language-features-client compile-extension:html-language-features-server",watch:"npx gulp watch-extension:html-language-features-client watch-extension:html-language-features-server","install-client-next":"yarn add vscode-languageclient@next"},categories:["Programming Languages"],contributes:{configuration:{id:"html",order:20,type:"object",title:"HTML",properties:{"html.completion.attributeDefaultValue":{type:"string",scope:"resource","enum":["doublequotes","singlequotes","empty"],enumDescriptions:["Attribute value is set to \"\".","Attribute value is set to ''.","Attribute value is not set."],"default":"doublequotes",description:"Controls the default value for attributes when completion is accepted."},"html.customData":{type:"array",markdownDescription:"A list of relative file paths pointing to JSON files following the [custom data format](https://github.com/microsoft/vscode-html-languageservice/blob/master/docs/customData.md).\n\nVS Code loads custom data on startup to enhance its HTML support for the custom HTML tags, attributes and attribute values you specify in the JSON files.\n\nThe file paths are relative to workspace and only workspace folder settings are considered.","default":[],items:{type:"string"},scope:"resource"},"html.format.enable":{type:"boolean",scope:"window","default":true,description:"Enable/disable default HTML formatter."},"html.format.wrapLineLength":{type:"integer",scope:"resource","default":120,description:"Maximum amount of characters per line (0 = disable)."},"html.format.unformatted":{type:["string","null"],scope:"resource","default":"wbr",markdownDescription:"List of tags, comma separated, that shouldn't be reformatted. `null` defaults to all tags listed at https://www.w3.org/TR/html5/dom.html#phrasing-content."},"html.format.contentUnformatted":{type:["string","null"],scope:"resource","default":"pre,code,textarea",markdownDescription:"List of tags, comma separated, where the content shouldn't be reformatted. `null` defaults to the `pre` tag."},"html.format.indentInnerHtml":{type:"boolean",scope:"resource","default":false,markdownDescription:"Indent `<head>` and `<body>` sections."},"html.format.preserveNewLines":{type:"boolean",scope:"resource","default":true,description:"Controls whether existing line breaks before elements should be preserved. Only works before elements, not inside tags or for text."},"html.format.maxPreserveNewLines":{type:["number","null"],scope:"resource","default":null,markdownDescription:"Maximum number of line breaks to be preserved in one chunk. Use `null` for unlimited."},"html.format.indentHandlebars":{type:"boolean",scope:"resource","default":false,markdownDescription:"Format and indent `{{#foo}}` and `{{/foo}}`."},"html.format.extraLiners":{type:["string","null"],scope:"resource","default":"head, body, /html",markdownDescription:"List of tags, comma separated, that should have an extra newline before them. `null` defaults to `\"head, body, /html\"`."},"html.format.wrapAttributes":{type:"string",scope:"resource","default":"auto","enum":["auto","force","force-aligned","force-expand-multiline","aligned-multiple","preserve","preserve-aligned"],enumDescriptions:["Wrap attributes only when line length is exceeded.","Wrap each attribute except first.","Wrap each attribute except first and keep aligned.","Wrap each attribute.","Wrap when line length is exceeded, align attributes vertically.","Preserve wrapping of attributes.","Preserve wrapping of attributes but align."],description:"Wrap attributes."},"html.format.wrapAttributesIndentSize":{type:["number","null"],scope:"resource","default":null,markdownDescription:"Indent wrapped attributes to after N characters. Use `null` to use the default indent size. Ignored if `#html.format.wrapAttributes#` is set to 'aligned'."},"html.format.templating":{type:"boolean",scope:"resource","default":false,description:"Honor django, erb, handlebars and php templating language tags."},"html.format.unformattedContentDelimiter":{type:"string",scope:"resource","default":"",markdownDescription:"Keep text content together between this string."},"html.suggest.html5":{type:"boolean",scope:"resource","default":true,description:"Controls whether the built-in HTML language support suggests HTML5 tags, properties and values."},"html.validate.scripts":{type:"boolean",scope:"resource","default":true,description:"Controls whether the built-in HTML language support validates embedded scripts."},"html.validate.styles":{type:"boolean",scope:"resource","default":true,description:"Controls whether the built-in HTML language support validates embedded styles."},"html.autoCreateQuotes":{type:"boolean",scope:"resource","default":true,description:"Enable/disable auto creation of quotes for HTML attribute assignment. The type of quotes can be configured by `#html.completion.attributeDefaultValue#`."},"html.autoClosingTags":{type:"boolean",scope:"resource","default":true,description:"Enable/disable autoclosing of HTML tags."},"html.hover.documentation":{type:"boolean",scope:"resource","default":true,description:"Show tag and attribute documentation in hover."},"html.hover.references":{type:"boolean",scope:"resource","default":true,description:"Show references to MDN in hover."},"html.mirrorCursorOnMatchingTag":{type:"boolean",scope:"resource","default":false,description:"Enable/disable mirroring cursor on matching HTML tag.",deprecationMessage:"Deprecated in favor of `editor.linkedEditing`"},"html.trace.server":{type:"string",scope:"window","enum":["off","messages","verbose"],"default":"off",description:"Traces the communication between VS Code and the HTML language server."}}},configurationDefaults:{"[html]":{"editor.suggest.insertMode":"replace"},"[handlebars]":{"editor.suggest.insertMode":"replace"}},jsonValidation:[{fileMatch:"*.html-data.json",url:"https://raw.githubusercontent.com/microsoft/vscode-html-languageservice/master/docs/customData.schema.json"},{fileMatch:"package.json",url:"./schemas/package.schema.json"}]},dependencies:{"@vscode/extension-telemetry":"^0.8.4","vscode-languageclient":"^8.2.0-next.3","vscode-uri":"^3.0.7"},devDependencies:{"@types/node":"18.x"},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest);
registerFileUrl('./schemas/package.schema.json', new URL('./package.schema.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./client/dist/browser/htmlClientMain', new URL('./htmlClientMain.js', import.meta.url).toString(), 'text/javascript');
registerFileUrl('./client/dist/browser/htmlClientMain.js', new URL('./htmlClientMain.js', import.meta.url).toString(), 'text/javascript');
registerFileUrl('client/dist/browser/htmlClientMain.js.map', new URL('./htmlClientMain.js.map', import.meta.url).toString(), 'application/json');
registerFileUrl('server/dist/browser/htmlServerMain.js', new URL('./htmlServerMain.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('server/dist/browser/htmlServerMain.js.map', new URL('./htmlServerMain.js.map', import.meta.url).toString(), 'application/json');

export { whenReady };
